#pragma once

#include "CoreMinimal.h"
#include "BaseCamperCollectable.h"
#include "ContaminationAntidoteCollectable.generated.h"

class UFloatValueStrategy;

UCLASS(Blueprintable)
class DBDGAMEPLAY_API AContaminationAntidoteCollectable : public ABaseCamperCollectable
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(BindWidgetOptional))
	UFloatValueStrategy* _maxChargesStrategy;

public:
	AContaminationAntidoteCollectable();
};

FORCEINLINE uint32 GetTypeHash(const AContaminationAntidoteCollectable) { return 0; }
